﻿using System;
using System.Text.RegularExpressions;

namespace Robware.Blog
{
	public class BlogPost
	{
		public int Id { get; set; }
		public string Title { get; set; }
		public string Content { get; set; }
		public DateTime Timestamp { get; set; }
		public string Draft { get; set; }
		public string Url { get; set; }
		public int UserId { get; set; }

		private void GenerateUrl() {
			Url = Regex.Replace(Title, @"[^a-zA-Z0-9\.]+", "-").ToLower();
		}

		public void UpdateTitle(string title) {
			Title = title;
			GenerateUrl();
		}

		public void UpdateDraft(string content) => Draft = content;
		public void Publish() => Content = Draft;
	}
}
